Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.desktop
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.bibledesktop.desktop.Msg

    public final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `ABOUT_TITLE`
`(package private) static Msg` | `APP_TITLE`
`(package private) static Msg` | `APP_VERSION`
`(package private) static Msg` | `BAD_PROTOCOL_URL`
`(package private) static Msg` | `CLOSE`
`(package private) static Msg` | `COMPARE_DIALOG`
`(package private) static Msg` | `COMPARE_GO`
`(package private) static Msg` | `COMPARE_IDENT_QUESTION`
`(package private) static Msg` | `COMPARE_IDENT_TITLE`
`(package private) static Msg` | `COMPARE_TITLE`
`(package private) static Msg` | `COMPARE_USING`
`(package private) static Msg` | `COMPARE_VERSES`
`(package private) static Msg` | `COMPARE_WORDS`
`(package private) static Msg` | `COMPARE_WORDS_TIP`
`(package private) static Msg` | `CONFIG_SAVE_FAILED`
`(package private) static Msg` | `CONFIG_TITLE`
`(package private) static Msg` | `COPY_TO_CLIP`
`(package private) static Msg` | `DEBUG_GO`
`(package private) static Msg` | `DEBUG_METHOD`
`(package private) static Msg` | `DEBUG_STEPS`
`(package private) static Msg` | `DEBUG_TAB_TITLE`
`(package private) static Msg` | `DEBUG_VIEWS`
`(package private) static Msg` | `DETAILS_TAB_TITLE`
`(package private) static Msg` | `ERROR_TAB_TITLE`
`(package private) static Msg` | `HTML`
`(package private) static Msg` | `NO_BIBLES_MESSAGE`
`(package private) static Msg` | `NO_BIBLES_TITLE`
`(package private) static Msg` | `NO_HELP`
`(package private) static Msg` | `NO_PASSAGE`
`(package private) static Msg` | `NOT_IMPLEMENTED`
`(package private) static Msg` | `ORIG`
`(package private) static Msg` | `OSIS`
`(package private) static Msg` | `PRELOAD_DATA`
`(package private) static Msg` | `PRELOAD_PROVIDER`
`(package private) static Msg` | `PRELOAD_SETUP`
`(package private) static Msg` | `PRELOAD_STYLE`
`(package private) static Msg` | `PRELOAD_TITLE`
`(package private) static Msg` | `RESULTS_BOOKS`
`(package private) static Msg` | `RESULTS_CLOSE`
`(package private) static Msg` | `RESULTS_COMPARING`
`(package private) static Msg` | `RESULTS_DIALOG`
`(package private) static Msg` | `RESULTS_PASSAGE`
`(package private) static Msg` | `RESULTS_START`
`(package private) static Msg` | `RESULTS_STOP`
`(package private) static Msg` | `RESULTS_TITLE`
`(package private) static Msg` | `RESULTS_WORDS`
`(package private) static Msg` | `SOURCE_MISSING`
`(package private) static Msg` | `SPLASH_IMAGE`
`(package private) static Msg` | `SPLASH_TITLE`
`(package private) static Msg` | `STARTUP_CONFIG`
`(package private) static Msg` | `STARTUP_GENERAL_CONFIG`
`(package private) static Msg` | `STARTUP_GENERATE`
`(package private) static Msg` | `STARTUP_TITLE`
`(package private) static Msg` | `STATUS_DEFAULT`
`(package private) static Msg` | `SYSTEM_PROPS_TAB_TITLE`
`(package private) static Msg` | `TASK_TAB_TITLE`
`(package private) static Msg` | `TEXT_VIEWER`
`(package private) static Msg` | `UNKNOWN_PROTOCOL`
`(package private) static Msg` | `UNTITLED`
`(package private) static Msg` | `VERSION_APP_TITLE`
`(package private) static Msg` | `VERSION_TITLE`
`(package private) static Msg` | `WARRANTY_TAB_TITLE`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary
`static String` | `getAboutInfo()` get an About string of the form "About App Name"
`static String` | `getApplicationTitle()`
`static String` | `getVersionedApplicationTitle()` get a title of the form "App Name v1.0"
`static String` | `getVersionInfo()` get a version string of the form "Version: 1.0"

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APP_TITLE

    static final Msg APP_TITLE

### SPLASH_TITLE

    static final Msg SPLASH_TITLE

### APP_VERSION

    static final Msg APP_VERSION

### VERSION_TITLE

    static final Msg VERSION_TITLE

### VERSION_APP_TITLE

    static final Msg VERSION_APP_TITLE

### CONFIG_SAVE_FAILED

    static final Msg CONFIG_SAVE_FAILED

### UNKNOWN_PROTOCOL

    static final Msg UNKNOWN_PROTOCOL

### BAD_PROTOCOL_URL

    static final Msg BAD_PROTOCOL_URL

### PRELOAD_TITLE

    static final Msg PRELOAD_TITLE

### PRELOAD_SETUP

    static final Msg PRELOAD_SETUP

### PRELOAD_DATA

    static final Msg PRELOAD_DATA

### PRELOAD_PROVIDER

    static final Msg PRELOAD_PROVIDER

### PRELOAD_STYLE

    static final Msg PRELOAD_STYLE

### STARTUP_TITLE

    static final Msg STARTUP_TITLE

### STARTUP_CONFIG

    static final Msg STARTUP_CONFIG

### STARTUP_GENERATE

    static final Msg STARTUP_GENERATE

### STARTUP_GENERAL_CONFIG

    static final Msg STARTUP_GENERAL_CONFIG

### NO_BIBLES_MESSAGE

    static final Msg NO_BIBLES_MESSAGE

### NO_BIBLES_TITLE

    static final Msg NO_BIBLES_TITLE

### NO_HELP

    static final Msg NO_HELP

### NOT_IMPLEMENTED

    static final Msg NOT_IMPLEMENTED

### NO_PASSAGE

    static final Msg NO_PASSAGE

### SOURCE_MISSING

    static final Msg SOURCE_MISSING

### UNTITLED

    static final Msg UNTITLED

### SPLASH_IMAGE

    static final Msg SPLASH_IMAGE

### ABOUT_TITLE

    static final Msg ABOUT_TITLE

### WARRANTY_TAB_TITLE

    static final Msg WARRANTY_TAB_TITLE

### DETAILS_TAB_TITLE

    static final Msg DETAILS_TAB_TITLE

### TASK_TAB_TITLE

    static final Msg TASK_TAB_TITLE

### ERROR_TAB_TITLE

    static final Msg ERROR_TAB_TITLE

### SYSTEM_PROPS_TAB_TITLE

    static final Msg SYSTEM_PROPS_TAB_TITLE

### DEBUG_TAB_TITLE

    static final Msg DEBUG_TAB_TITLE

### STATUS_DEFAULT

    static final Msg STATUS_DEFAULT

### CONFIG_TITLE

    static final Msg CONFIG_TITLE

### COMPARE_DIALOG

    static final Msg COMPARE_DIALOG

### COMPARE_IDENT_QUESTION

    static final Msg COMPARE_IDENT_QUESTION

### COMPARE_IDENT_TITLE

    static final Msg COMPARE_IDENT_TITLE

### COMPARE_WORDS

    static final Msg COMPARE_WORDS

### COMPARE_GO

    static final Msg COMPARE_GO

### COMPARE_USING

    static final Msg COMPARE_USING

### COMPARE_WORDS_TIP

    static final Msg COMPARE_WORDS_TIP

### COMPARE_TITLE

    static final Msg COMPARE_TITLE

### COMPARE_VERSES

    static final Msg COMPARE_VERSES

### RESULTS_TITLE

    static final Msg RESULTS_TITLE

### RESULTS_START

    static final Msg RESULTS_START

### RESULTS_CLOSE

    static final Msg RESULTS_CLOSE

### RESULTS_DIALOG

    static final Msg RESULTS_DIALOG

### RESULTS_BOOKS

    static final Msg RESULTS_BOOKS

### RESULTS_COMPARING

    static final Msg RESULTS_COMPARING

### RESULTS_PASSAGE

    static final Msg RESULTS_PASSAGE

### RESULTS_WORDS

    static final Msg RESULTS_WORDS

### RESULTS_STOP

    static final Msg RESULTS_STOP

### DEBUG_STEPS

    static final Msg DEBUG_STEPS

### DEBUG_VIEWS

    static final Msg DEBUG_VIEWS

### DEBUG_GO

    static final Msg DEBUG_GO

### DEBUG_METHOD

    static final Msg DEBUG_METHOD

### COPY_TO_CLIP

    static final Msg COPY_TO_CLIP

### CLOSE

    static final Msg CLOSE

### TEXT_VIEWER

    static final Msg TEXT_VIEWER

### ORIG

    static final Msg ORIG

### OSIS

    static final Msg OSIS

### HTML

    static final Msg HTML

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Method Detail

### getApplicationTitle

    public static String getApplicationTitle()

### getVersionInfo

    public static String getVersionInfo()

  get a version string of the form "Version: 1.0"

  Returns:
    the version string

### getVersionedApplicationTitle

    public static String getVersionedApplicationTitle()

  get a title of the form "App Name v1.0"

  Returns:
    a versioned title

### getAboutInfo

    public static String getAboutInfo()

  get an About string of the form "About App Name"

  Returns:
    Info for "About"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD